package com.telpo.dipperposition;

import com.telpo.dipperposition.server.DipperPositionServer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.ConfigurationPropertiesScan;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

import java.net.InetSocketAddress;

/**
 * @program: gateway
 * @description: 网关启动类
 * @author: linwl
 * @create: 2020-06-18 16:39
 */
@SpringBootApplication
@EnableConfigurationProperties
@EnableDiscoveryClient
@Slf4j
@ConfigurationPropertiesScan
public class DipperPositionApplication {

  public static void main(String[] args) {
    log.info("北斗定位服务开始!");
    SpringApplication.run(DipperPositionApplication.class, args);
    log.info("北斗定位服务启动!");
    //启动服务端
    DipperPositionServer nettyServer = new DipperPositionServer();
    nettyServer.startTimeAsnc();
    nettyServer.startPosAsnc();
    nettyServer.startStarsAsnc();
  }
}
